dofile("Base.rte/Constants.lua")
dofile("VaultSurvivors.rte/Actors/Dwellers/MeleeNativeHumanAI.lua")		--Change this to point to the right location

function Create(self)
	self.LeadDist = 250;
	self.origAimDistance = ToAHuman(self).AimDistance;
end

function UpdateAI(self)
	self.AI:Update(self)
end

function Update(self)
	local rand = math.random();
	if rand <= .02 then
		for actor in MovableMan.Actors do
			local curdist;
			curdist = math.sqrt(math.pow(self.Pos.X - actor.Pos.X,2) + math.pow(self.Pos.Y - actor.Pos.Y,2))
			if curdist <= self.LeadDist and actor.Team == self.Team and actor:IsInGroup("Overseer") == false then
				if actor.ClassName == "AHuman" then
					actor.Health = actor.Health - 1
				else
					actor.Health = actor.Health - 0
				end
			end
		end
	end
end